org.hibernate.search.query.dsl.impl

## Class MoreLikeThisBuilder<T>

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.MoreLikeThisBuilder<T>

-     public class MoreLikeThisBuilder<T>
      extends Object

  Class inspired and code copied from Apache Lucene MoreLikeThis class. Apache Lucene code copyright the Apache Software Foundation released under the Apache Software License 2.0.
  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoreLikeThisBuilder(DocumentBuilderIndexedEntity documentBuilder, ExtendedSearchIntegrator searchIntegrator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MoreLikeThisBuilder` | `compatibleFieldNames(String... compatibleFieldNames)`
    `Query` | `createQuery()` Return a query that will return docs like the passed lucene document ID.
    `MoreLikeThisBuilder` | `fieldsContext(FieldsContext fieldsContext)`
    `MoreLikeThisBuilder` | `idAsTerm(String idAsTerm)`
    `MoreLikeThisBuilder` | `indexReader(IndexReader indexReader)`
    `MoreLikeThisBuilder` | `input(Object input)`
    `MoreLikeThisBuilder` | `inputType(ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE inputType)`
    `MoreLikeThisBuilder` | `otherMoreLikeThisContext(MoreLikeThisQueryContext moreLikeThisContext)`
    `MoreLikeThisBuilder` | `queryContext(QueryBuildingContext queryContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MoreLikeThisBuilder

          public MoreLikeThisBuilder(DocumentBuilderIndexedEntity documentBuilder,
                                     ExtendedSearchIntegrator searchIntegrator)

  - ### Method Detail

    - #### indexReader

          public MoreLikeThisBuilder indexReader(IndexReader indexReader)

    - #### compatibleFieldNames

          public MoreLikeThisBuilder compatibleFieldNames(String... compatibleFieldNames)

    - #### otherMoreLikeThisContext

          public MoreLikeThisBuilder otherMoreLikeThisContext(MoreLikeThisQueryContext moreLikeThisContext)

    - #### createQuery

          public Query createQuery()

      Return a query that will return docs like the passed lucene document ID.
      Returns:
        a query that will return docs like the passed lucene document ID.

    - #### fieldsContext

          public MoreLikeThisBuilder fieldsContext(FieldsContext fieldsContext)

    - #### input

          public MoreLikeThisBuilder input(Object input)

    - #### queryContext

          public MoreLikeThisBuilder queryContext(QueryBuildingContext queryContext)

    - #### idAsTerm

          public MoreLikeThisBuilder idAsTerm(String idAsTerm)

    - #### inputType

          public MoreLikeThisBuilder inputType(ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE inputType)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved